Ubuntu

Ubiquity dialogues too large for 800x600 display

Reported by Adam Petaccia on 2006-04-06
430
This bug affects 9 people
Affects Status Importance Assigned to Milestone
Mythbuntu
Undecided
Unassigned
ubiquity (Baltix)
Undecided
Unassigned
ubiquity (Ubuntu)
High
Evan Dandrea
Nominated for Gutsy by Graham
Nominated for Hardy by Graham

Bug Description

When I booted, I was presented with a resolution in 640x480. It was my _only_ option for some reason (will probably file a bug on that, too). But I was exploring, and decided to check out the installer for Ubuntu. Well, the only thing I could see was that it was experimental. The window was too big for any of the buttons I'm guessing were hidden off the screen.

//edit: installer is unusable even in 800x600

Related branches

Colin Watson (cjwatson) on 2006-04-24
Changed in ubiquity:
status: Unconfirmed → Confirmed

Confirmed this bug the other day, my laptop defaulted to 640x480 meaning I couldnt have installed edubuntu

Alexandre Otto Strube (surak) wrote :

Adam and Pete, I don't think this is going to be fixed, as it would be necessary to change ubiquity a lot.

when X is started with no monitor turned on (as it happened to you, the monitor was on the agp board), X cannot determine the correct monitor resolution/refresh rate, thus it will set it to 640x480x60hz.

Looking to the other bug Adam posted on the same day, this was what happened to him (I talk about bug #38433).

Pete, do you have a bug about your issue? If there are no more video drivers which defaults to 640x480, this bug will be invalid.

On Wed, May 03, 2006 at 09:05:19PM -0000, Alexandre Otto Strube wrote:
> Adam and Pete, I don't think this is going to be fixed, as it would be
> necessary to change ubiquity a lot.

Please don't assume anything in that regard, and please do not close
this bug.

This also happened to me, although the monitor definitely was turned on when I booted up. I was able to proceed with the install by manually moving the installer window (Alt-F7) so that the portion that I needed was visible on the screen. (I think I may have had to unmaximize it first.) This should have been unnecessary, IMHO, as usually there is so much empty space on each installer screen that it really should set the minimal window size to be much smaller.

BTW, once I completed the install, adding the correct refresh/sync information to my xorg.conf fixed the resolution issue.

Hello,

Sure, I actually have got round it by temproarily using a graphics card
which is supported better. I just think the user should be able to try
everything on the live CD even with a restricted screen resolution.

I believe the Windows XP installer makes do with 640x480 mode.

Neil.

On Wed, 24 May 2006 19:13:57 -0000, "DavorCubranic" <email address hidden>
said:
> This also happened to me, although the monitor definitely was turned on
> when I booted up. I was able to proceed with the install by manually
> moving the installer window (Alt-F7) so that the portion that I needed
> was visible on the screen. (I think I may have had to unmaximize it
> first.) This should have been unnecessary, IMHO, as usually there is so
> much empty space on each installer screen that it really should set the
> minimal window size to be much smaller.
>
> BTW, once I completed the install, adding the correct refresh/sync
> information to my xorg.conf fixed the resolution issue.
>
> --
> Doesn't support 640x480 resolution
> https://launchpad.net/bugs/38442

Neil S <email address hidden> wrote:

   Sure, I actually have got round it by temproarily using a graphics
   card which is supported better. I just think the user should be able
   to try everything on the live CD even with a restricted screen
   resolution.

I absolutely agree. There are large amounts of white space in the
wizard's screens, and I think they should just make sure that they're
not setting the widgets' minimum sizes as too large.

The main problem is the timezone page, I suspect; most of the pages have much less content than that one and so it doesn't matter how much visible white space they contain.

psylence519 (psylence519) wrote :

This is frustrating, it doesn't support 640x480 at all, and only marginally supports 800x600 (if you center it up, or close a gnome bar, it's still very ugly). Not all machines go that high, or even need to go that high.

If actual layouts were used and not static widget placement the UI could be maximized and scrolled and therefore support any resolution.

If this frontend is just a first cut to get the UI out there and people playing with it, I can definitely understand, but there is no technological reason not to support low resolutions...

Colin Watson (cjwatson) wrote :

There's no fundamental reason why it's not supported - I just didn't have time to squash the timezone page down for Dapper. By the way, if you would care to look at the glade file you'll see that actual layouts *are* used.

Confirm this bug again.

Just went to install a Dapper shipit CD and it was nearly impossible. Flipping to a "safe video mode" install managed to bump the resolution up to 800x600, which made installation _barely_ possible.

Either offer a text mode install, or fix the size of those install dialog windows.

Shouldn't they default to filling the frame and offering scrollbars or something?

Mike Ginou (mike-ginou) wrote :

This issue affected me as well. To get around it, I needed to switch to a console, manually kill gdm, switch the xorg.conf to use the vesa video driver, then restart gdm.

As this is well beyond the abilities of less experienced users, it is definitely something that needs to be addressed if you intend to grow the user base to people who could not perform the above.

brainer (launchpad-braine) wrote :

I am a noob and this cost me time. My monitor was stuck at 640x480. The installer wouldn't let me install because the buttons were unreachable and invisible. There seemed to be no way to quit or continue. The average noob will stop right there and go back to Windows. I tried every key combo I could think of until I eventually discoverd alt+drag to move the window around. The real mistake was not to say in big letters at the top of the installer's first page: "If you can't reach buttons on this page, use alt+drag to move the window."

James Troup (elmo) wrote :

As a short term solution, it might be nice if ubiquity would at least pop up a dialog informing the user that it can't work in this resolution and offering any possible workarounds (if there are any trivial enough).

Alexandre Otto Strube (surak) wrote :

Mantas, why did you change the status from undecided to unconfirmed? The bug is known and confirmed for months.

man ls (alejandrofer) wrote :

Maybe 12 duplicates are a sign that any of you guys could take the 10 minutes needed to solve the problem? This issue is really biting people with cards not so well supported in Ubuntu and that need some tweaking.

wallydallas (jrowe) wrote :

I reproduced the same bug. The card is a Diamond Viper V550 card
with an Nvidia chipset and 16mb Ram.

I could boot from the Ubuntu 6.06 Intel CD. I could not install because the install wizard screens require a resolution bigger than 640x480

Short term fix or workaround:
............................
I used the workaround of pressing Alt+F5
this un-minimized the installer.
Then I had to use
Alt+F7 to move the windows up and down, right and left
this allowed me to install ubuntu from the CD to the Hard Drive
I then ran
     sudo dpkg-reconfigure xserver-xorg
and hit enter <default> for every question
reboot
bingo! My video was at 1600x1200 or anything lower.

Long term fix:
The Ubuntu installer developers should re-do the UI

1) all screens should be made to fit on 640x480

2) The first screen should have an easy install button
Easy install would
erase all local hard disks IDE etc
accept all default options and create
username: guest
password: guest
and then create a somewhat random machine name

this bug should be fixed asap in Ubuntu. Many humans will reject Ubuntu. Many laptops may not be able to install Ubuntu just due to this bug.

I've an Asus M2NPV--VM motherboard with a Geforce 6150 onboard and the livecd boots to an 800x600 Gnome desktop, which also doesn't display the installer correctly.

I think this issue is critical, as it would stop many people from using and installing Ubuntu.
At least make the installer scrollable please!

Thanks.

Beatnick (nic-dub) wrote :

Even in 800x600 it's tricky to install ubuntu (7.04). Panel and windows list have to be moved on the right and left side.

One solution could be to provide a virtual screen, but the installer should be usable at least at a 800x600 resolution.

Please consider this bug as critical as it cause Ubuntu to not install at all.

I'm currently installing Ubuntu on a system from 2001. The installer doesn't figure out that my monitor and video card can display 1024x768, and refuses to let me choose any screen resolution higher than 800x600.

The trick of un-maximizing the window and using Alt-F7 makes it possible to actually install Ubuntu. Thanks for the tip, everyone!

Given that not everybody's graphics card / monitor can be auto-detected out of the box, it might be nice to have support for lower-resolution screens. The Fiesty installer is amazingly nice; it's sad to have it trip up over something so tiny.

tobyadams87 (tobyadams87) wrote :

my god, this just isnt very ubuntu is it!!!

BusDriver (spam-wherdgo) wrote :

This is ridiculous.
As lucianolev said: 'I think this issue is critical, as it would stop many people from using and installing Ubuntu.'

Um yeah. I've been doing this for a very long time, and must say that its a really dumb design choice to code your installation screens (Desktop Ubuntu) larger than your lowest default resolution setting of 640x480. After downloading, burning the Desktop .iso, and installing to a blank HDD off of the CD - I couldn't install Feisty on a laptop which had previously run Dapper and Edgy just fine.

Some might find my comments inflammatory or insulting, but I find the design oversight for the average user (at FIRST CONTACT of Ubuntu in many cases) to be an egregious failure in Desktop Feisty, and a serious roadblock to it's adoption.

For myself; trying to install Feisty and find a workaround to get past the 2nd (timezone) installation screen, I ended up going to the Ubuntu forums, and unnecessarily wasting a bunch of my time researching a problem. I eventually work my way here, to discove the root cause appears to be a very basic design oversight of making the installation dialogs larger than the lowest compatible 640x480 VGA screensize. I was a bit more insensed to read commentary from the devs LAST YEAR, essentially saying that it hasn't been worth their time. Thanks for wasting my time on this then.

There are many more people having the same problem, and many (if not all) with unrecognized/unsupported/old video hardware at installation will be affected. That's a bunch of folks, gents. Especially those in the linux community who pride themselves on applying old hardware to other uses. If you are promoting the latest release of Desktop Ubuntu as a better, more user-friendly alternative to M$, then you are failing your potential user base terribly and have a responsibility to do better than this. This is not the way to expanding new-to-Ubuntu mindshare by making the installation process an insurmountable obstacle.

Re-read your workarounds. They are not within the grasp of even the intermediate user, and certainly beyond reach of novices. I'm a pro, and it had me stumped for quite awhile. I almost gave up, save for my stubbornnes and geeky need-to-know. Only the persistent and the professional will research, inquire, and most importantly post these issues to you. The maxim is; for every 1 person you hear from, that took the time to write, there are 10 more that you didn't. The technical folks are the ones you will hear from, but how many thousands more will simply give up in frustration quietly over this?

A quick search of installation problems from the Ubuntu forums will show you this.

http://ubuntuforums.org/showthread.php?p=2790181#post2790181
http://ubuntuforums.org/showthread.php?p=2755914#post2755914
http://ubuntuforums.org/showthread.php?t=465569

I could probably find many more forum instances that relate to this but might not identify this underlying core problem correctly.
But really, should the basic user have to?

This caused a very big headache. I had to haul an old monitor in the room to
get it going (it was connected to a lcd tv via a dvi-hdmi cable. once I got
the nvidia drivers though, all was well.

Sounds like it could be a relatively simple fix though... Hopefully it'll be
right in ubuntu+1

On 5/29/07, tobyadams87 <email address hidden> wrote:
>
> my god, this just isnt very ubuntu is it!!!
>
> --
> MASTER: Doesn't support < 1024x768 resolutions
> https://bugs.launchpad.net/bugs/38442
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

I have an alternative workaround.
I just installed 7.04 on a notebook with only 800x600 resolution. I simply pressed tab until my cursor focus reappeared then shift-tabbed back to the last button (usually Next or OK) and pressed space or enter. I could easily use my mouse to select my time zone. EASY
That said I totally agree with busdriver above. I wish I could think of a stronger word than ridiculous. The CD wrapper should read "at least 256Mb ram, 2Gb disk space and 768 screen height" RIDICULOUS^2. I hate it when software forces me to throw out my perfectly good older computer as it fucks up my finances and my sons planet. Thanks Ubuntu I will now crawl back into my happy little red hat shell.

tobyadams87 (tobyadams87) wrote :

Steve hit the nail very much on the head

Henrik Nilsen Omma (henrik) wrote :

Please folks, this is a bug report, not a forum thread. I appreciate that it can be frustrating to have difficulty installing Ubuntu but that should be no reason to insult the developers of the software or to use abusive language. Please consult http://www.ubuntu.com/community/conduct for guidance.

This wiki page https://wiki.ubuntu.com/Bugs/Importance has information on how we set the importance of a bug. This bug has a 'severe impact on a small portion of Ubuntu users' and therefore fits the 'High' classification (changing to that level now).

If anyone has any further comment that is otherwise off-topic in this report, please email them to me directly at henrik AT ubuntu.com (I'm the lead for Ubuntu QA) and let's keep the noise on this bug to a minimum. Thank you.

Changed in ubiquity:
importance: Medium → High
BusDriver (spam-wherdgo) wrote :

Henrik,

Thank you for your acknowledgement and escalation of this issue. Your comments are appreicated and duly noted.
However, I believe that we will have to agree to disagree here.

That it took over a year for a "prevents Installation" issue over a year to become a "High" priority item, just isn't okay.

I appreciate your comments about impact levels and tone, but really, we've been quite generous.

Those of us posting here took the time to research our own problems, and spent the time ON the forums to find out this was a bug issue. We then took the time to find this thread, and post to you about them. This issue has already spilled over FROM the forums, so that should have been a clue to you. How many people posting on this bug were relatively new users?

We are only trying to help the Ubuntu community to be stronger, and we deserve your understanding of our frustration.
Everyone here has the same goal to make Ubuntu better. But until today, with this escalation, the issue had been largely ignored.

True, this is only one bug, but it is a larger issue is of image for Ubuntu.

When any new person (with old or unrecognzied hardware) gets introduced to Ubuntu, and this issue is the SECOND thing that they ever experience from it (possibly unsurmountable) it sets a poor tone for quality right away, and leaves a bad taste for what Ubuntu is about if they understandably they walk away in frustration.

Every person out there with "unrecognized" vid hardware (lots) or gets defaulted to 640x480 will be affected by the install screen design oversights above.

I submit that you have no truly accurate metrics on ATTEMPTED Ubuntu installtions, and that the issue is larger than the Ubuntu developers assume. You do not have the user impact data to classify this as a "small portion" of users - because they never could install it to become users. (For the record on issues above the "TABBING" technique to navigate around the pages and find the cursor or 'Next' button didn't work for my install - I tried that. Only the Alt-LeftDrag screen technique did.)

Unfortunately the inaction on this left me professionally frustrated, with no other choice but to make a row where you could hear us on your bug reporting tool instead of the forums - which we had done already. If we hurt your feelings, or stepped on your toes, then sorry - but the end justified the means, and I believe you know this. We are all working towards the same goals, and wish to see you succeed. I will not be posting any more on this topic, and am out of your hair. Thank you for your time. Good luck to us all.

Thomas Meire (blackskad) wrote :

Hi guys, I'm going to try to fix this. I hope I'll have it finished in time for gutsy.

Changed in ubiquity:
assignee: nobody → blackskad
status: Confirmed → In Progress
Paul Sladen (sladen) wrote :

Confirm for Baltix since it has been filed there.

Changed in ubiquity:
status: New → Confirmed
Paul Sladen (sladen) wrote :

Re-assign to nobody since this bug doesn't appear to have been progressed since June.

Changed in ubiquity:
assignee: blackskad → nobody
status: In Progress → Confirmed

This bug reappaered in the PPC version of Ubuntu 7.10 running it on a PS3. Buttons are not visible because the resolution is to less.

kLever (klever) wrote :

I've just installed Gutsy and it has the same issue :(
Hope someone fix it soon...

Thanks.

riccoryder (riccoryder) wrote :

Looks like I posted essentially a duplicate in Bug #155107, 800*600 isn't enough to see the buttons in Ubuntu 7.10 install. I did eventually stumble through the install by trying hitting return and/ the right cursor key at the prompts.
There are a number of older laptops that run at 800*600 and still run Ubuntu fine otherwise.

Changed in mythbuntu:
status: New → Confirmed

I found a work-around for this: Rebooting (or starting initially) in
'graphics safe mode' allows one to get around
this problem. Perhaps later versions of Ubuntu should start in 'graphics
safe mode'.

Robert

On 10/22/07, Mario Limonciello <email address hidden> wrote:
>
> ** Also affects: mythbuntu
> Importance: Undecided
> Status: New
>
> ** Changed in: mythbuntu
> Status: New => Confirmed
>
> --
> Ubiquity dialogues too large for 640x480 display
> https://bugs.launchpad.net/bugs/38442
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

won't fix as we'll (mythbuntu) will use the changes made by the ubiquity guys (if any)

Changed in mythbuntu:
status: Confirmed → Won't Fix
description: updated
Kamil Páral (kamil.paral) wrote :

I just had this problem in Ubuntu 7.10 installation. My GeForce 6600 showed only 800x600 screen (both normal and safe graphics mode) and I couldn't switch to higher. In 800x600 there are no visible buttons at the bottom of the screen. I know how to move the dialog above the upper screen edge, but most of the users don't know how to do it. And the just *can't* install Ubuntu. Please sacrifice 10 minutes and fix this. It is great Colin Watson that you offer mentoring, this needs to be fixed fast. Ubuntu is losing users this way. Thank you.

I attach screenshot of 800x600.

Jande9 (ruthandjan) wrote :

I installed 6.10 last spring and had the same problem, on a Toshiba Tecra 8000. I am new at Linux but otherwise experienced at computers but it took 3 weeks of nightly messing around to get past this problem so I could actually see what I was doing and finish the install.

Hope the problem gets fixed as I don't want to upgrade until I know that I won't be faced by that again.

Jande9 wrote:
> I installed 6.10 last spring and had the same problem, on a Toshiba
> Tecra 8000. I am new at Linux but otherwise experienced at computers
> but it took 3 weeks of nightly messing around to get past this problem
> so I could actually see what I was doing and finish the install.
>
> Hope the problem gets fixed as I don't want to upgrade until I know that
> I won't be faced by that again.
>
>

Don't count on it. This is the most ignored bug. It gets reported,
confirmed, ignored, allowed to expire, dropped and then re-reported.

This is giving Ubuntu a bad name.

Personally, I think at this point it needs to get assigned to someone
who will actually fix it. (Fire the dude who's been ignoring it) It's
such a simple fix, too. Redesign the forms so they fit on 800x600.

Bug #38442

At least 12 duplicate bugs
40 comments on the master bug report
Everyone agrees this gives Ubuntu a bad name and needs to be fixed.
QA staff ask everyone to stop comments.

Let's face it, Ubuntu is a great tool

This installer bug clearly has a major impact on Ubuntu:
a) Fewer people in the public to try Ubuntu
b) making angry people out of the ones who happen to try it.
c) fewer word of mouth recommendations
d) people who judge a book by the cover

simple suggested fix:

all installer screens should work in 640x480 pixel resolution, and 4
bit color or black/white depth.

also, if video card not detected offer a text only set of installer screens.

pax (ubuntu-mail-paxmans) wrote :

Note that this problem does not concern older hardware alone. The new generation of UMPCs (such as the OQO) often have tiny screens and only 480 pixels of screen height. This bug seriously hampers installation and operation on such machines.

True. My initial attempt at installation was on a brand-new desktop
computer
(Compaq) from Walmart. It doesn't get more 'plain-vanilla hardware' than
that.

Robert

On 11/19/07, pax <email address hidden> wrote:
>
> Note that this problem does not concern older hardware alone. The new
> generation of UMPCs (such as the OQO) often have tiny screens and only
> 480 pixels of screen height. This bug seriously hampers installation
> and operation on such machines.
>
> --
> Ubiquity dialogues too large for 800x600 display
> https://bugs.launchpad.net/bugs/38442
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Matt Zimmerman (mdz) wrote :

This issue is well understood, acknowledged and prioritized, and no more information is needed. Please do not comment further just to express an opinion or note that you were affected, as neither of these brings us any closer to a solution.

This is one bug report out of a list of tens of thousands, and the fact that it remains open is not an indication that it hasn't been seen.

If you are a developer and are interested in helping to fix this bug, note that Colin Watson has offered mentoring for it, meaning that he will review patch submissions and commit correct patches.

Ramon Casha (rcasha) wrote :

Might I suggest that the Ubiquity windows are all given a "scrollbar" so that if the screen is too small, the window resizes itself to the maximum size and the scrollbars appear, allowing the user to scroll to the buttons?

bdhere (cnc-brian) wrote :

The work around for me was to open System-Preferences-Appearance and then change the Application and Window title font size to 6.

I would think an easy fix would be to move the buttons to the top of each page.
I love the suggestion that was made to provide for a "Quick Install" where all defalts are selected and a default name is given for the main account.

Carl Karsten (carlfk) wrote :

from the patch:

+ # If the screen res is 800x600 or 832x624,
+ # go into fullscreen so that the Next button doesn't get hidden
+ # under the lower launcher bar.
+ # for 640x480 and 768x576, fullcreen doesn't work, so
+ # leave it windowed, which also won't work, but may be
+ # more apparent.

Basically, make it usable in 2 cases where it currently isn't. (the 2 resolutions I could test)

I am sure there is a better palace for this code to live, like where the window widgit is first created, but I couldn't find it. another posibility is near
        elif isinstance(widget, gtk.Window):
            if name == 'live_installer' and self.oem_config:

Jan Van Buggenhout (chipzz) wrote :

I think whoever fixes this should look at natural sizes for GTK+ widgets as an alternate solution (relevant discussion is at http://mail.gnome.org/archives/gtk-devel-list/2007-November/thread.html)

Harold Yost (yhal100) wrote :

ALT-F7 worked for me to allow the window to be moved up so I could get to
the Forward button. This has been a problem on every computer, 3 now, that
I have installed different versions of Ubuntu on, but always found a way
until this time. I spent a lot of time finding the ALT-F7 solution. Is not
obvious, did not find it easily.

On Dec 21, 2007 6:53 AM, Jan Van Buggenhout <email address hidden> wrote:

> I think whoever fixes this should look at natural sizes for GTK+ widgets
> as an alternate solution (relevant discussion is at
> http://mail.gnome.org/archives/gtk-devel-list/2007-November/thread.html)
>
> --
> Ubiquity dialogues too large for 800x600 display
> https://bugs.launchpad.net/bugs/38442
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

This bug is STILL present in Gutsy 7.10

soren121 (soren121) wrote :

We realize that, Peter.

Any updates on the bug?

Evan Dandrea (ev) on 2008-01-19
Changed in ubiquity:
assignee: nobody → evand
status: Confirmed → In Progress
Nato (endlesslove7) wrote :

This bug makes it hard to install Ubuntu onto EeePC. Please fix this. If it's the GTK's jurassic widgets that cause this problem, maybe just put the main intaller inside a scrollpane so that a horizontal/vertical scroolbar will appear when the installer is greater than the screen.

Graham (ubuntu-grahams) wrote :

I can confirm this bug too.

It appears in VirtualBox in which it sets the res as 800x600 in WinXP SP2

I know I can use Alt+mouse to navigate so I can work around it ,but I'm creating a course which gets people installing and using Kubuntu in VirtualBox on Windows.

Here's the link if you're interested http://grahams.free-online.co.uk/mediawiki/index.php/A_complete_course_to_take_you_from_Windows_to_Linux

It's a bit ripe to say "I know this is a bit bad but...."

Even a dialog popping up on detection of low res to say "You can move the dialogs around by alt+mouse if the screen doesn't show ..." would at least get someone out of the mess.

Evan if you need to offload the bug I could fix this I'm sure.

Just need a little help on the GTK stuff probably from Colin.

ErikH (erik-heckers) wrote :

Hello!

The EEE-PC cannot do more than 800x600.
For me (language set to English) shortcut "Alt-F" worked most of the time
but when it doesn't (and you do not know any of the other keyboard tricks) your
are really messed up (Timezone dialog and last dialog).
Some easy ways to fix this:
* Tell the user about the keyboard tricks if resolution is too low.
* Tell the user about the used Alt-X shortcuts if resolution is too low.
* Decrease size of Timezone picture to 50% if ...
* Rework the layout
* The last dialog didn't seem to accept any Alt-X shortcut
* Place everything inside a scrollable area (see posting above).

Jay R. Wren (evarlast) wrote :

Hardy Alpha4 problem persists.

This is important because VMWare defaults to 800x600 when trying to install. VMware is a popular installation system.

Glenn (glenn-v) wrote :

     ErikH wrote on 2008-01-31: (permalink)
     The EEE-PC cannot do more than 800x600.

Actually the eee pc's resolution is 800x480.

I can confirm this bug for Hardy Alpha 4 amd64 Live CD. I've succeeded in installing it but had to move to "Next" button with Tab key as lower bottom of the application windows was invisible.

pdok (pwdoud) wrote :

I've read through most of these posts, and I found a solution that might help: Hold ALT and single-click/drag the window up until you see buttons. Why this "secret" key combination is even necessary is a mystery to me.

It's unbelievable to me that this long-standing problem still exists, because it's been around a lot longer than this topic shows. After all the hoopla about how robust the linux community support is, this disproves those claims in one tiny bug.

I really like Ubuntu, but it's not worth dealing with stuff like this when there are other more mature distros around.

On a Sun x4500 with 48 disks, the window grows too large vertically even on a 1024x768 screen. The list of disks/partitions does not scroll forcing one to Alt-Click1 and drag to select a disk and then Alt-Click1 and drag to, for example, choose Edit. This was with gutsy.

verb3k (verb3k) wrote :

I confirm this annoying bug in Hardy.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 1.7.9

---------------
ubiquity (1.7.9) hardy; urgency=low

  [ Evan Dandrea ]
  * Drop priviliges for gnome-settings-daemon in ubiquity-dm.
  * Added a new tzmap widget. Ubiquity now shrinks to 674x434 (LP: #38442).

  [ Colin Watson ]
  * RFC 2181 clarifies that host names may be as short as one octet, so
    allow that (LP: #193054).

  [ Evan Dandrea ]
  * Automatic update of included source packages: base-installer
    1.86ubuntu2, partman-target 52ubuntu6.

 -- Evan Dandrea <email address hidden> Wed, 20 Feb 2008 09:28:17 -0500

Changed in ubiquity:
status: In Progress → Fix Released
Surath (lsurath0) wrote :

I am well about average technical user, both hardware and software. You are loosing alot of potential users (EeePC based and others!) because the "Eeexubuntu" distro I torrented not only contains the "bugged" Ubiquity installer but few forums (none?), even mention the problem. I am (cough) Windows trained and have dabbled in Linux always hoping to find reasons to get excited about the os but I had less trouble installing OS X on the EeePC than Xubuntu. Kubuntu installed without issue (must have had updated Ubiquity) but I wanted Xubuntu (more appropriate for EeePC hardware) and did not want to try to modify the Kubuntu install (too high a learning curve for a newbie to Linux). I tried to "download" another eeexubuntu: 4 servers started out fine then died out at 1.2% and I donot have the patience to torrent another at 70kb/sec. I guess what the forums call installation issues includes this "resolution" problem. Bottom line, I started to get excited about the Xanthros distro that came with the toy, decided I needed more and found Ubuntu. Looks great but the Xubuntu bug has soured my palate. Get the info out to the forums and producers of the Eeexubuntu distros.

Colin Watson (cjwatson) wrote :

Surath, this bug is fixed already and as such will be fixed in Eeexubuntu when it's updated to match Ubuntu 8.04. If they're trying to produce a stable release, I imagine that they won't want to base their releases on Hardy when it's not yet stable itself. Please don't complain to us, though; we have done our bit and it will very likely make its way into Eeexubuntu in the normal course of events.

ebrand (emily-2data) wrote :

ErikH you are a lifesaver!!! Alt-F7 didn't work for me, i'm on an eeepc because i couldn't move the dialogue box above the screen. Alt-F & Alt-B worked great!!

bert07 (marien.bert) wrote :

Installing the alpha 6 of ubuntu 8.10 for i386.

When the installer reaches the partitioner (step 4) the window can't be fully displayed because of the many partitions I have.
The window is to wide and does not fit the screen.

Step 5,6,7:
The window is still to wide and still does not fit the screen.

Colin Watson (cjwatson) wrote :

bert07, could you file a new bug report about this, please? I know it's a recurrence of basically the same thing, but this bug has got very long and has many duplicates, and it would be easier to have a fresh start that talks only about this new problem.

bert07 (marien.bert) wrote :

Okay. Will do.

bert07 (marien.bert) wrote :

It is filed as bug #272318

Bib (bybeu) wrote :

18 monthes later, I strongly agree with BusDriver. I'm one out of the 1% that spent their time and keep on trying, so I describe my issue here with 8.04 installation. It seems to be somewhat related: I even couldn't get the live setup GUI, only a dark screen with an esoteric message *not to be read by a newbie* after Linux was loaded into the RAM. My hardware was PIII/550MHz 768MB (i440BX) and.... on board S3Virge video with 4MB (IBM PC 300 GL) to supply video to a flat 19" Belinea 101920 (800*600 to 1024*1280 capable). I can't know if the video chip is PCI or AGP because changing the setting in the BIOS makes no difference: both doesn't work with Ubuntu, both works with XP or Debian Etch 4.0.3.
At least a minimum HW requirements list should be available in the first text mode steps, and, maybe, a "Stop! Install MS-DOS instead - your hardware is no more hi-end enough to continue" message ;-)

Bib (bybeu) wrote :

Less acid, the message could be: "If you ever reach to install Ubuntu in this hardware, you may encounter very poor performances issues"

Bernd Schlapsi (bernd-sch) wrote :

I tried to install Ubuntu 9.04 Alpha 3 as a guest system with Virtualbox. But Virtualbox does only support 800x600 screen resolution on my pc.
If I try to install Ubuntu 9.04 and choose English as language I have no problem with the timezone page, but if I choose German as language the timezone page is to big/high for this resolution.

I attached a zip file with two screenshots so you can see what I mean.

~Bernd

tmerriam (tmerriam87) wrote :

I have this problem, too, in the release version of jaunty. It's most problematic on the manual partition setup step if there are more than a few partitions, such as when creating separate partitions for /, /home, /usr, etc... In my case, having six partitions vertically stretches the window to over 1000 pixels. I was able to find a workaround for this in KUBUNTU. Right click on the title bar, Advanced -> Special Window Settings. On the Geometry tab, check Size, select Apply Now and change the vertical component of the resolution to something that works on your screen. Unfortunately, the section of the window where you setup the partitions is now extremely short and barely usable and the window will reset back to the original resolution if any change is made to the partition scheme.

In my opinion we, should get rid of those colored bars for the partition usage, as they do absolutely nothing. The section that actually manipulates the partitions, sets mount points and filesystems is what is really important here.

Kevin Hunter (hunteke) wrote :

I believe this is only partially fixed. I'm able to install, but during the actual installation of Karmic (when the window title is "Installing system" and files are actually copied/configured), the bottom of the window is not visible. For instance, is there a Cancel button there if I need to quit for some reason? It's perhaps minor because at the point one is installing Ubuntu, they've probably not going to change their mind just then, but from a UI point of view, it's disconcerting not to be able to see/interact with the entire window.

So, to be clear, I believe this bug is still open as of Tue, 06 Oct 2009, with the Karmic beta.

My current screen resolution is 800x600: see attachment for visual.

Bib (bybeu) wrote :

Don't know if Alt+click and drag could help at this time in setup ????

Bib (bybeu) wrote :

Sorry: I mean Alt+Clik_in_the_center_of_the_window and drag

This bug appears again in Oneiric live sessions (today build 17-Sep-2011 08:40).

Test case: Virtual Box with a resolution of 800x600 (running ISO Test ufo-001).

The problem is that all control buttons below are not accessible. This is a major issue in netbooks where the resolution by default is XXXXx600 and becomes an annoyance if Oneiric is to be installed on a netbook.

Noticed that this happens on the two first dialogs: "Welcome" (where you select the language) and the "Preparing to install Ubuntu" one. Then the window is resized to a sane size and can continue normally. Then when you select the partitions, happens again (and keeps through the next screens), making impossible to open the command line feedback without getting off the screen (aside of Bug #830946). When it reaches the Slidshow, again it is resized to a smaller size but can't open the command-line feedback without the last bottom pixels going off the screen (so we can't tell what is below, maybe a hidden countdown to a 'rm -rf /*' :P)

This could be solved by integrating the ubiquity window frame to the unity panel.

Can't reopen the bug. But is still present:
Here a picture of it

I the current build (http://cdimage.ubuntu.com/daily-live/20110921.2/oneiric-desktop-amd64.iso) the problem persists in the partition stage, the region selection until the slideshow. In all cases, expanding the console feedback will make the window get off-screen

SlugiusRex (slugiusrex) wrote :

FYI Still happening...

Attached please find the following screenshots of my test install on VMWARE.
1) "Install Welcome" shows only half the welcome screen displayed.
2) "Prepare Install" shows the 'Next' / 'Continue' buttons not visible
3) "instal Work Around" shows the solution I used (selected System Settings from the power icon) but first time users might not think to try that

SlugiusRex (slugiusrex) wrote :

"Prepare Install" shows the 'Next' / 'Continue' buttons not visible

SlugiusRex (slugiusrex) wrote :

"Instal Work Around" shows the solution I used (selected System Settings from the power icon) but first time users might not think to try that

SlugiusRex (slugiusrex) wrote :

"Instal Work Around" shows the solution I used (selected System Settings from the power icon) but first time users might not think to try that

There are many bug reports involving installer window too big for screen. For example : #727905 #51442 #632320 #630363 #890983 #173392 #712848 #38442 . Perhaps some should be marked as duplicate to clean up the bug list.
This situation happens not only on some hardware but in some case of video driver limitation or virtual machines.
I suggest to make them duplicates of the oldest, #38442, provided that we mark that one as "also affects Ubuntu 14.04".
I'm adding some suggestions there.

Here is a suggestion that would solve once and for all the problem.
It is simple yet it would ensure ubiquity is always usable (even in locales with long strings, complicated partition setups or whatever situation), while giving designers some room to breathe.

The suggestion is: between the ubiquity window and the top ubiquity widget (whatever it is), insert a ScrolledWindow (https://developer.gnome.org/gtk3/stable/GtkScrolledWindow.html). That will automatically show scrollbars when and only when the actual window is too small.

You can see a mockup of the solution. I'm not claiming it is perfectly elegant. It just turns a situation where Ubiquity is impossible to use into a solution where Ubiquity can be used just by using the scrollbars as needed.

Was this already discussed ? Are there any drawbacks ? Thank you for your feedback.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints